Bug 452202 - autofs doesn't parse multi-mount quite right
autofs doesn't parse multi-mount quite right
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Jeff Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-20 02:24 EDT by Ian Kent
Modified: 2010-10-22 22:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* The method that the automount daemon used to parse maps failed when applied to rootless multi-mount map entries. Therefore, presented with such entries, autofs would not mount them. Improvements to the parsing code allow autofs to interpret these entries correctly and mount them.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug log showing the multi-mount fail (3.43 KB, text/plain)
2008-06-20 02:24 EDT, Ian Kent
no flags Details
Patch to check for root-less multi-mount map entry (2.29 KB, patch)
2008-06-20 02:29 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2008-06-20 02:24:42 EDT
Description of problem:
When testing some recent kernel patches on RHEL 4 I noticed
that autofs v4 isn't parsing rootless multi-mounts map entries
quite right.

Version-Release number of selected component (if applicable):
autofs-4.1.3-231

How reproducible:
Always.

Steps to Reproduce:
1. Add "/test  /etc/auto.multi" to the master map.
2. Use the following map, /etc/auto.multi:
foo                     :/export/1 \
                /2      :/export/2 \
                /3      :/export/3
3. Perform "ls /test/foo/2"
 
Actual results:
Multi-map entry fails to mount.

Expected results:
Multi-map entry mounts correctly.

Additional info:
At first I thought there was an issue with the ":" escape
handling but once I corrected the multi-map parsing the
colon escaped locations were handled OK.
Comment 1 Ian Kent 2008-06-20 02:24:42 EDT
Created attachment 309903 [details]
Debug log showing the multi-mount fail
Comment 2 Ian Kent 2008-06-20 02:29:40 EDT
Created attachment 309905 [details]
Patch to check for root-less multi-mount map entry

Not sure this patch will work in all cases so a little
more testing would be in order.

I seem to remember you weren't entirely happy with
check_is_multi() when it went into version 4.1.4 so please
check that it is OK.
Comment 3 Jeff Moyer 2008-06-20 08:59:19 EDT
Wow, I didn't even know that was legal!  I'll take a look, thanks!
Comment 4 Ian Kent 2008-06-20 09:53:53 EDT
(In reply to comment #3)
> Wow, I didn't even know that was legal!  I'll take a look, thanks!

Yeah, there's a few instances of it in the connectathon test suite.
Comment 5 Jeff Moyer 2008-06-25 13:02:09 EDT
(In reply to comment #2)
> Created an attachment (id=309905) [edit]
> Patch to check for root-less multi-mount map entry

Wow, I went ahead and created almost exactly the same patch.  I really need to
read more closely!

> Not sure this patch will work in all cases so a little
> more testing would be in order.

I'll run it through rhts.

> I seem to remember you weren't entirely happy with
> check_is_multi() when it went into version 4.1.4 so please
> check that it is OK.

OK, I'll double check that.

Thanks!
Comment 6 Jeff Moyer 2008-06-25 14:29:44 EDT
(In reply to comment #5)
> > I seem to remember you weren't entirely happy with
> > check_is_multi() when it went into version 4.1.4 so please
> > check that it is OK.
> 
> OK, I'll double check that.

It seems to work for all of the cases that I could come up with.
Comment 7 Jeff Moyer 2008-06-25 14:31:44 EDT
This seems worth fixing to me.  If it's approved, I'll write an rhts test case
for it.
Comment 8 RHEL Product and Program Management 2008-09-05 13:06:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 Jeff Moyer 2009-01-21 15:22:17 EST
This fix is available in autofs versions 4.1.3-235.5 and later.  An RHTS test has been added under /CoreOS/autofs/bugzillas, subtest bz452202.
Comment 12 Ruediger Landmann 2009-01-23 01:56:32 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* The method that the automount daemon used to parse maps failed when applied to rootless multi-mount map entries. Therefore, presented with such entries, autofs would not mount them. Improvements to the parsing code allow autofs to interpret these entries correctly and mount them.
Comment 16 errata-xmlrpc 2009-05-18 16:22:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0991.html

Note You need to log in before you can comment on or make changes to this bug.